# Generated by Django 3.2.2 on 2022-04-02 02:59

from django.db import migrations, models
import django.db.models.deletion
import xyz_util.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Browse',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(max_length=255, unique=True, verbose_name='网址')),
                ('status', models.PositiveSmallIntegerField(blank=True, choices=[(0, '等待'), (1, '执行中'), (2, '成功'), (4, '放弃')], default=0, verbose_name='状态')),
                ('mode', models.PositiveSmallIntegerField(blank=True, choices=[(1, '电脑'), (2, '手机')], default=1, verbose_name='模式')),
                ('script', models.TextField(blank=True, default='', verbose_name='脚本')),
                ('embed_url', models.TextField(blank=True, null=True, verbose_name='媒体网址')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='修改时间')),
                ('apply_time', models.DateTimeField(blank=True, null=True, verbose_name='申请时间')),
                ('finish_time', models.DateTimeField(blank=True, null=True, verbose_name='结束时间')),
            ],
            options={
                'verbose_name': '浏览',
                'verbose_name_plural': '浏览',
            },
        ),
        migrations.CreateModel(
            name='Vendor',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='名字')),
                ('media_expire_minutes', models.PositiveSmallIntegerField(blank=True, default=10, verbose_name='媒体时效(分钟)')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
            ],
            options={
                'verbose_name': '厂商',
                'verbose_name_plural': '厂商',
            },
        ),
        migrations.CreateModel(
            name='Testing',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(unique=True, verbose_name='网址')),
                ('name', models.CharField(blank=True, default='', max_length=255, verbose_name='名字')),
                ('embed_url', models.TextField(blank=True, null=True, verbose_name='内嵌网址')),
                ('type', models.CharField(blank=True, max_length=16, null=True, verbose_name='类别')),
                ('explain_time', models.DateTimeField(blank=True, null=True, verbose_name='解释时间')),
                ('expire_time', models.DateTimeField(blank=True, null=True, verbose_name='失效时间')),
                ('expire_minutes', models.PositiveIntegerField(blank=True, default=10, verbose_name='失效分钟数')),
                ('next_time', models.DateTimeField(blank=True, null=True, verbose_name='下次执行时间')),
                ('history', xyz_util.modelutils.JSONField(blank=True, verbose_name='历史')),
                ('is_active', models.BooleanField(blank=True, default=True, verbose_name='有效')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
                ('vendor', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='testings', to='embedmedia.vendor', verbose_name='厂商')),
            ],
            options={
                'verbose_name': '时效检测',
                'verbose_name_plural': '时效检测',
            },
        ),
        migrations.CreateModel(
            name='Resource',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(max_length=255, unique=True, verbose_name='网址')),
                ('name', models.CharField(blank=True, db_index=True, max_length=255, verbose_name='名称')),
                ('embed_url', models.TextField(blank=True, null=True, verbose_name='媒体网址')),
                ('cover', models.URLField(blank=True, max_length=255, null=True, verbose_name='封面')),
                ('width', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='宽度')),
                ('height', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='高度')),
                ('duration', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='时长')),
                ('orientation', models.PositiveSmallIntegerField(blank=True, choices=[(2, '竖版'), (1, '横版')], null=True, verbose_name='横竖')),
                ('like_count', models.PositiveIntegerField(blank=True, null=True, verbose_name='点赞数')),
                ('media_type', models.PositiveSmallIntegerField(blank=True, choices=[(1, '视频'), (2, '音频')], null=True, verbose_name='类型')),
                ('unique_id', models.CharField(blank=True, db_index=True, max_length=32, null=True, verbose_name='排重ID')),
                ('author_name', models.CharField(blank=True, max_length=64, null=True, verbose_name='作者名称')),
                ('status', models.PositiveSmallIntegerField(blank=True, choices=[(1, '待发'), (2, '已发'), (3, '点赞数不够'), (4, '解释失败'), (5, '发贴失败'), (6, '资源ID重复'), (13, '源地址失效'), (14, '丢弃')], db_index=True, default=1, null=True, verbose_name='状态')),
                ('publish_time', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='发布时间')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='修改时间')),
                ('expire_time', models.DateTimeField(blank=True, null=True, verbose_name='失效时间')),
                ('vendor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='resources', to='embedmedia.vendor', verbose_name='厂商')),
            ],
            options={
                'verbose_name': '资源',
                'verbose_name_plural': '资源',
            },
        ),
        migrations.CreateModel(
            name='LongText',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField(verbose_name='内容')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='修改时间')),
                ('resource', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, to='embedmedia.resource', verbose_name='资源')),
            ],
            options={
                'verbose_name': '长文',
                'verbose_name_plural': '长文',
            },
        ),
    ]
